LEGACY CONTENT
This article refers to legacy products, components or features. Therefore, the content in this article is offered "as is" and will no longer be updated. This content does not infer that the product, component or feature is supported, or that the product, component or feature will continue to function as described herein.

Introduction

The "Visual Studio 2005 extensions for .NET Framework 3.0 (WCF & WPF), November 2006 CTP" update is a prerequisite for K2 blackpearl. It provides the required support for building .NET Framework 3.0 applications using Visual Studio 2005.

With the release of the .NET framework version 3.5, the download for the "Visual Studio 2005 extensions for .NET Framework 3.0 (WCF & WPF), November 2006 CTP" prerequisite has been pulled from its original location and is no longer available to download from the Microsoft site.

Resolution

The "Visual Studio 2005 extensions for .NET Framework 3.0 (WCF & WPF), November 2006 CTP" installation package has been made available for download from the K2 portal: https://portal.k2.com/downloads/bp/default.aspx.

Troubleshooting

It is not possible to install "Visual Studio 2005 extensions for .NET Framework 3.0 (WCF & WPF), November 2006 CTP" when .NET 3.0 SP1 is installed.

If you want to install the "Visual Studio 2005 extensions for .NET Framework 3.0 (WCF & WPF), November 2006 CTP" after you have installed .NET 3.0 Service Pack 1 you will receive a message saying:

"Setup has detected that a prerequisite is missing. To use Visual Studio 2005 extensions for .NET Framework 3.0 (WCF & WPF), November 2006 CTP you must have the .NET Framework 3.0 runtime installed. Please install the .NET Framework 3.0 runtime and restart setup."

In this case you need to run the installer from the command line using the following command:
msiexec /i vsextwfx.msi WRC_INSTALLED_OVERRIDE=1

 

Note: .NET Framework 3.0 SP1 does not update 3.0 - it replaces 3.0 which causes installers checking for the presence of 3.0 to fail.